
Foreman - Bug #35158

Creating hosts with Libvirt-7.6.0 doesn't work

07/04/2022 12:41 PM - Leos Stejskal

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - libvirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 2103670 Red Hat JIRA:  

Pull request:    

Description

Foreman: develop

Libvirt: 7.6.0

OS: Fedora 35

qemu-kvm: 6.1.0 (qemu-6.1.0-15.fc35)

 Steps to reproduce

Try to create host with libvirt CR

Error:

Failed to power up a compute L7.6.0 (Libvirt) instance jesse-kimmins.kokos.loc: C

all to virDomainCreateWithFlags failed: Cannot get interface MTU on '': No such device

ESC[32m2022-07-04T14:33:04ESC[0m [ESC[32mIESC[0m|ESC[36mappESC[0m|3da41144] Backtrace for 'Failed 

to power up a compute L7.6.0 (Libvirt) instance jesse-kimmi

ns.kokos.loc: Call to virDomainCreateWithFlags failed: Cannot get interface MTU on '': No such dev

ice' error (Libvirt::Error): Call to virDomainCreateWithFla

gs failed: Cannot get interface MTU on '': No such device

 3da41144 | /home/projects/foreman/.bundle/ruby/2.7.0/gems/fog-libvirt-0.9.0/lib/fog/libvirt/reque

sts/compute/vm_action.rb:7:in `create'

 3da41144 | /home/projects/foreman/.bundle/ruby/2.7.0/gems/fog-libvirt-0.9.0/lib/fog/libvirt/reque

sts/compute/vm_action.rb:7:in `vm_action'

 3da41144 | /home/projects/foreman/.bundle/ruby/2.7.0/gems/fog-libvirt-0.9.0/lib/fog/libvirt/model

s/compute/server.rb:76:in `start'

 3da41144 | /home/projects/foreman/app/models/compute_resource.rb:187:in `start_vm'

 3da41144 | /home/projects/foreman/app/models/concerns/orchestration/compute.rb:229:in `setCompute

PowerUp'

 3da41144 | /home/projects/foreman/app/models/concerns/orchestration.rb:227:in `execute'

 3da41144 | /home/projects/foreman/app/models/concerns/orchestration.rb:152:in `block in process'

 3da41144 | /home/projects/foreman/app/models/concerns/orchestration.rb:144:in `each'

 3da41144 | /home/projects/foreman/app/models/concerns/orchestration.rb:144:in `process'

 3da41144 | /home/projects/foreman/app/models/concerns/orchestration.rb:44:in `around_save_orchest

ration'

History

#1 - 07/04/2022 12:42 PM - Leos Stejskal

- Description updated

#2 - 07/04/2022 12:43 PM - Leos Stejskal

- Bugzilla link set to 2103670

#3 - 07/05/2022 01:50 PM - Matt Darcy

it's working for me - on 7.6 (and it looks like 8 - but 8 it broken due to vnc password, but it does look like it provisions the network ok)
I suspect this is a support request to debug it around the specific interface you're using

#4 - 09/08/2022 11:32 AM - Amit Upadhye

- Target version changed from 3.4.0 to 3.5.0

#5 - 11/04/2022 02:49 PM - Ewoud Kohl van Wijngaarden

- Target version deleted (3.5.0)
